
Name: kata-agent
Version: 1.5.4
Release: 1%{?dist}
#   0.20190510.gitda8c588
Vendor:  Oracle America
Summary: Kata Containers Agent
Group:   Development/Tools
License: Apache-2.0

Source0: %{name}-%{version}.tar.bz2
BuildRequires: golang
BuildRequires: pkgconfig(systemd)
BuildRequires: libudev-devel

%description
Kata Containers Agent.
Only to be included as part of kata-image.
Do not install on host systems.

%prep
%setup -q

%build
export LANG=C
export GOPATH="${PWD}/gopath/"
mkdir -p "${GOPATH}/src/github.com/kata-containers/"
ln -sf "${PWD}" "${GOPATH}/src/github.com/kata-containers/agent"
cd "${GOPATH}/src/github.com/kata-containers/agent"
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%files
%license LICENSE
%defattr(-,root,root,-)
/usr/bin/kata-agent
/usr/lib/systemd/system/kata-agent.service
/usr/lib/systemd/system/kata-containers.target

%changelog
* Fri May 10 2019 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.5.4-1
- Added Oracle Specific Build Files for kata-agent
